<?
#error_reporting(0);
#include_once("functions.php");
include_once("functions.php");
#include_once("../config.php");
include_once("database.php");
#$check=$_GET['code'];
#echo $_SERVER['HTTP_REFERER'];
#echo "<a href=c.php>wedwed</a>";
$s=$_SERVER['HTTP_REFERER'];
if (strlen($s)<11) {$docount=false;} else {$docount=true;}
$s=substr($s,7);
$domain=substr($s,0,strpos($s,'/'));
if (substr($domain,0,4)=='www.') { $domain=substr($domain,4); }
$address=substr($s,0,strpos($s,'?'));
$page=substr($address,strlen($domain));
# проверить $domain в базе
$res=db_use('array',"select id_site from top where (url like 'http://".addslashes($domain)."%' or url like 'http://www.".addslashes($domain)."%') and deleted<1;");
if (!$res['id_site']){ $site=false;die;} else {$site=true;$id_site=$res['id_site'];}

if ($site) {
	#проверить IP в базе
	foreach ($_GET as $key =>$value) {
		if ($key=='jump') {
			header("Location: detail.php?d=".$domain."&siteid=".$id_site); 			
			die;
		}
	}
	$userip=userip();
	$date=date('Y-m-d',time());
	$res=db_use('array',"select ip from top_curips where ip='".$userip."' and (host='".$domain."' or host='www.".$domain."')");
	$res2=db_use('array',"select count(ip_login) as coun from login_stat where ip_login='".$userip."' and login_time like '".$date." %'");
	
	if (!$res['ip'] && $res2['coun']>0) { # не было визита
		# добавить строчку доступа с IP к сайту
		db_use('query',"insert into top_curips (id_site,host,ip,timeday) values ('".$id_site."','".addslashes($domain)."','".$userip."','".$date."');");
		# добавить +1 к хостам сайта
		$addhost=true;
	}
	# обновить визит / хосты
	# проверить есть ли в базе
	$res=db_use('array',"select id_site from top_stat where timeday='".$date."' and id_site='".$id_site."'");
	if ($res['id_site']) { # есть уже запись за этот день
		db_use('query',"update top_stat set ".($addhost?'host=host+1,':'')."vizit=vizit+1 where id_site='".$id_site."'");			
	}else{ # добавить новую запись за этот день
		db_use('query',"insert into top_stat(id_site,timeday,host,vizit) values ('".$id_site."','".$date."',".($addhost?1:0).",1)");
	}
	# добавить визит к страничке в статистику
	# поиск в базе странички
	$res=db_use('array',"select id_site from top_fullstat where timeday='".$date."' and id_site='".$id_site."' and page='".addslashes($page)."'");
	if ($res['id_site']) { # есть уже запись за этот день
		db_use('query',"update top_fullstat set vizit=vizit+1 where id_site='".$id_site."' and page='".addslashes($page)."' ");			
	}else{ # добавить новую запись за этот день
		db_use('query',"insert into top_fullstat(id_site,timeday,host,vizit,page) values ('".$id_site."','".$date."','".$domain."',1,'".addslashes($page)."')");
	}
}	
include('images.php');
#print_r(array_keys($_GET));
#echo $_GET;die;
$img=array_keys($_GET);
$img=$img[0];#echo $img;
if (isset($img)) {
	$image_name = $img.'.gif';  if (!isset($image_data[$image_name]['data'])) die("No image.");
} else die("No image name.");


$data = base64_decode($image_data[$image_name]['data']);$img = imagecreatefromstring($data);$it = 'gif';

if ($it == 'gif') $mime_type ='image/gif';header("Content-type: ".$mime_type);
if ($image_name[0]=='z') {
	if ($site){
		$res=db_use('array',"select host from top_stat where id_site='".$id_site."' and timeday='".$date."'");
		$counter=($res['host']+0);
	}else{
		$counter='';
	}
#	imagefill($img,0,0,imagecolorallocate($img,0,0,0));
	imagettftext($img,9,0,84-strlen($counter)*6,29,imagecolorallocate($img,3,3,3),'ttf/arial.ttf',$counter );
}else{
}
if ($it == 'gif') imagegif($img);
#if ($it == 'png') imagepng($img);

imagedestroy($img);
die;

?>